Subject: Re: mod_auth_mysql
From: "Gerrit P. Haase" <[email-masked]>
To: "Bill McCormick" <[email-masked]>
Cc: [email-masked]
Date: Wed, 20 Aug 2003 18:02:09 +0200

Hello Bill,

>> You need a mysql client library to link against.  _compress is
>> probably in zlib.

> Sorry Gerrit, I said binaries and meant src (above).

> I see no zlib nor find no zlib*.

zlib is the canonical name of the zlib package / project, the library is
called cygz.dll and the archive libz.a (libz.dll.a) you can add it add
to the linkline as '-L/usr/lib -lz'.

> These are the 2 mysql libs I have ... I think (libs are .a right?):

>         /usr/local/mysql/lib/mysql/libmysqlclient.a
>         /usr/local/mysql/libmysql/.libs/libmysqlclient.a

> I tried linking to both with the same results.

> I see /usr/local/mysql/libmysql/my_compress.o, so now I'm thinking I have an
> incomplete lib. Any ideas?

You need to link against zlib.

> Sorry to copy you direct on this but I'd like to get this work asap.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/